#!/usr/bin/env bash

WEBDAV_UPLOAD_TARGET=https://dufs.leafee98.com/apt/income
APT_BASE=https://dufs.leafee98.com/apt

./script/build.sh \
    --makedeb-path makedeb/makedeb \
    --package-exists-hook "
            $(realpath ./script/package_exists.py)
            --filename {}
            --cache-file /tmp/apt-file-exists-cache.json
            --package-arch amd64
            --apt-base $APT_BASE \
        "\
    --package-dir packages/bin \
    --package-dir packages/leafee98 \
    --package-dir packages/git \
    --package-dir packages/normal \
    -- \
    -f
    # --webdav-url "$WEBDAV_UPLOAD_TARGET" \
    # --webdav-user "$WEBDAV_USER" \
    # --webdav-pass "$WEBDAV_PASS" \

